<!doctype html>
<html>
  <head>
    <style>
        body {padding: 0; margin: 0;}
    </style>
  </head>
  <body>
    <div class="buttons">
        <button class="first">&laquo;</button>
        <button class="prev">&lsaquo;</button>
        <span class="step">Step 1</span>
        <button class="next">&rsaquo;</button>
        <button class="last">&raquo;</button>
    </div>
    <script src="https://cdn.jsdelivr.net/npm/p5@1.3.1/lib/p5.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/p5.js/1.3.1/addons/p5.sound.min.js"></script>
    <script>
        p5.disableFriendlyErrors = true;
    </script>
    <!-- <script src="https://cdn.jsdelivr.net/gh/BoldIdeaInc/p5.play@master/lib/p5.play.js"></script> -->
    <script src="lib/p5.play.js"></script>
    <!--<script src="test.js"></script>-->
    <!--<script src="game.js"></script>-->
    <!--<script src="steps/stepLatest.js"></script>-->
    <script>
        (function() {
            const LAST_STEP = 27;
            let step = 1;
            const firstBtn = document.querySelector('.first');
            const lastBtn = document.querySelector('.last');
            const prevBtn = document.querySelector('.prev');
            const nextBtn = document.querySelector('.next');
            const label = document.querySelector('.buttons span');

            const params = new URLSearchParams(window.location.search);
            if (params.get('step')) step = params.get('step');

            const script = document.createElement('script');
            script.setAttribute('id', 'sketch');
            script.setAttribute('src', `steps/step${step.toString().padStart(2, '0')}.js`);
            document.body.appendChild(script);
            label.textContent = `Step ${step}`;
            
            function goToStep(stepNum) {
                document.location.href = `?step=${stepNum}`;
            }

            firstBtn.addEventListener('click', () => goToStep(1));
            lastBtn.addEventListener('click', () => goToStep(LAST_STEP));
            nextBtn.addEventListener('click', () => goToStep(++step));
            prevBtn.addEventListener('click', () => goToStep(--step));       
        }());
    </script>
  </body>
</html>